<?xml version="1.0" encoding="UTF-8"?>
<testsuite name="world.respect.datalayer.repository.school.PersonRepositoryIntegrationTest" tests="6" skipped="0" failures="0" errors="0" timestamp="2026-07-06T14:20:11.355Z" hostname="devserver3.ustadmobile.com" time="15.438">
  <properties/>
  <testcase name="givenRequestMade_whenSameRequestMadeAgain_thenRemoteDataWillReturnNotModified[jvm]" classname="world.respect.datalayer.repository.school.PersonRepositoryIntegrationTest" time="2.306"/>
  <testcase name="givenRemotePagingSourceWillLoad[jvm]" classname="world.respect.datalayer.repository.school.PersonRepositoryIntegrationTest" time="2.208"/>
  <testcase name="givenRequestMade_whenNextRequestSinceParamSetToPreviousConsistentThroughValue_thenRemoteResultShouldBeEmpty[jvm]" classname="world.respect.datalayer.repository.school.PersonRepositoryIntegrationTest" time="2.2"/>
  <testcase name="givenPersonWrittenLocally_whenStored_thenWillSendToRemote[jvm]" classname="world.respect.datalayer.repository.school.PersonRepositoryIntegrationTest" time="2.18"/>
  <testcase name="givenRequestMade_whenDataChangedAndSameRequestMadeAgain_thenRemoteDataWillBeLoaded[jvm]" classname="world.respect.datalayer.repository.school.PersonRepositoryIntegrationTest" time="4.192"/>
  <testcase name="givenRequestMade_whenDataChangedAndNextRequestSinceParamSetToPreviousConsistentThroughValue_thenRemoteResultShouldBeUpdated[jvm]" classname="world.respect.datalayer.repository.school.PersonRepositoryIntegrationTest" time="2.352"/>
  <system-out><![CDATA[]]></system-out>
  <system-err><![CDATA[]]></system-err>
</testsuite>
